<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Light Switching</title>

    <script>
        function switchO() {
            // alert("Light is off");
           if( document.getElementById("BTN").innerText  == "ON") {
               document.getElementById("BTN").innerText = "OFF";
               document.getElementById("Light").src="Resources/Images/ON.jpg";

           }

            else {
               document.getElementById("BTN").innerText = "ON";
               document.getElementById("Light").src="Resources/Images/OFF.jpg";
           }
        }



        setInterval(function () {
            var checkbox = document.getElementById("auto");

             if(checkbox.checked)
                 switchO();
                if(document.getElementById("Headline1").innerHTML != "") {
                    document.getElementById("Headline1").innerHTML = "";
                }
            else        document.getElementById("Headline1").innerHTML= "Hello World Of Javascript";


                        },1000);

    </script>

    <select id = "Background">
        <option value="RED">Red</option>
        <option value="GREEN">Green</option>
        <option value="BLUE">Blue</option>
        <option value="YELLOW">Yellow</option>
    </select>

    <script>
        function changeBG() {
            var mySelect =   document.getElementById("Background");

            var bgColor = mySelect.value;
            alert("Im inside changeBG()" + bgColor);
            document.getElementById("body").style.backgroundColor = bgColor;
        }

    </script>
</head>
<body>

<div id="L8COntainer" style="margin-left: 250px; ">
    <div style="width: 300px;height: 300px; margin-left: 250px">
        <img id="Light" src="Resources/Images/OFF.jpg" style="width: 200px; height: 200px;"><br>
    </div>

        <button id="BTN" onclick="switchO()">ON</button>
    <input type="checkbox" id="auto" checked = "checked" value="">
    <input type="">

    <!--<h1 id="Headline1">Hello World Of Javascript</h1>-->


</div>


</body>
</html>